package com.jelurida.ardor.contracts;

import nxt.addons.AbstractContract;
import nxt.addons.JO;
import nxt.addons.TransactionContext;
import nxt.http.callers.SendMessageCall;
import nxt.http.responses.TransactionResponse;

public class HelloWorld extends AbstractContract {

    @Override
    public void processTransaction(TransactionContext context) {
        // Validate that the contract is the message recipient
        if (context.notSameRecipient()) {
            return;
        }

        // Compose the message
        TransactionResponse triggerTransaction = context.getTransaction();
        JO message = new JO();
        message.put("text", "Hello " + triggerTransaction.getSenderRs());

        // Send a response message
        SendMessageCall sendMessageCall = SendMessageCall.create(triggerTransaction.getChainId()).
                recipient(triggerTransaction.getSenderRs()).
                message(message.toJSONString()).
                messageIsPrunable(true);
        context.createTransaction(sendMessageCall);
    }
}
