package nxt.addons;

import nxt.blockchain.Block;
import nxt.http.callers.GetBlockCall;
import nxt.http.responses.BlockResponse;

public class BlockContext extends AbstractContractContext {

    private final int height;
    private BlockResponse blockResponse;

    public BlockContext(Block block, ContractRunnerConfig config, String contractName) {
        super(config, contractName);
        this.source = EventSource.BLOCK;
        this.height = block.getHeight();
    }

    @Override
    public BlockResponse getBlock() {
        if (blockResponse != null) {
            return blockResponse;
        }
        blockResponse = GetBlockCall.create().height(height).getBlock();
        return blockResponse;
    }

    @Override
    protected String getReferencedTransaction() {
        return null;
    }
}
